### Method

# Hex Widget set_insert_mode

#### Declaration

    void
    hex_widget_set_insert_mode (
      HexWidget* gh,
      gboolean insert
    )

#### Description

Set whether the `HexWidget` should be in insert or overwrite mode.

Sets property | `Hex.Widget:insert-mode`

#### Parameters

`insert`

  Type: `gboolean`

  `TRUE` if insert mode should be enabled, `FALSE` if overwrite mode should be enabled.